/v1/admin/principals/{principal_id}/api-keys| Name | Type | Required | Description |
|---|---|---|---|
principal_id | string (uuid) | Required |
| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
namestringRequiredscopesstring[]expires_atobjectX-API-Key: ak.<key_id>.<secret>Authentication & errors →curl -X POST '/api/v1/admin/principals/{principal_id}/api-keys' \
-H 'X-API-Key: ak.<key_id>.<secret>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"scopes": [
"string"
],
"expires_at": {}
}'No response body documented
X-API-Key: ak.<key_id>.<secret>Authentication & errors →curl -X POST '/api/v1/admin/principals/{principal_id}/api-keys' \
-H 'X-API-Key: ak.<key_id>.<secret>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"scopes": [
"string"
],
"expires_at": {}
}'No response body documented